Bug 517510 - Mayavi's TVTK built against an earlier version of vtk-python
Summary: Mayavi's TVTK built against an earlier version of vtk-python
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Mayavi
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 12:52 UTC by Michael Droettboom
Modified: 2012-09-22 19:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:08:06 UTC


Attachments (Terms of Use)
mayavi2 test results (27.34 KB, text/plain)
2010-02-26 22:39 UTC, Daniel
no flags Details

Description Michael Droettboom 2009-08-14 12:52:01 UTC
Description of problem:

Importing or running Mayavi issues warning about VTK/TVTK version mismatch.

Version-Release number of selected component (if applicable):

3.2.0.6.fc11

How reproducible:

Always

Steps to Reproduce:
1. Run 'mayavi2'

or

1. From Python prompt, "import enthought.mayavi.api"
  
Actual results:

********************************************************************************WARNING: Imported VTK version (5.4) does not match the one used
         to build the TVTK classes (5.2). This may cause problems.
         Please rebuild TVTK.
********************************************************************************

Expected results:

No warning.

Additional info:

TVTK is part of the Mayavi RPM package.  vtk and vtk-python RPMs are currently at 5.4.2 in FC11

Comment 1 Daniel 2010-02-26 22:39:55 UTC
Created attachment 396694 [details]
mayavi2 test results

Comment 2 Daniel 2010-02-26 22:45:55 UTC
Comment on attachment 396694 [details]
mayavi2 test results

I was just ignoring this error message but have now noticed that some features are broken such as animations.  You can see in the attachment that not all of the TVTK tests are passing when running the mayavi2 testsuite 'mayavi2 -t'.  I am also using Fedora 11 and the same Mayavi-3.2.0-6.fc11 package on both x86-64 and i586 machines.

Comment 3 Bug Zapper 2010-04-28 09:46:01 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:08:06 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Benny 2012-07-17 07:39:25 UTC
Same problem on Fedora 17, with newer versions of course: 

********************************************************************************
WARNING: Imported VTK version (5.8) does not match the one used
         to build the TVTK classes (5.6). This may cause problems.
         Please rebuild TVTK.
********************************************************************************

Reopen this one or file a new bug?


Note You need to log in before you can comment on or make changes to this bug.